/* ccgo: igs/datetime.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_DATETIME_HH
#define IGS_DATETIME_HH
#include <string>
#include <glibmm/ustring.h>
namespace igs
{
	class Datetime
	{
		int sec;
		int min;
		int hour;
		int day;
		int mon;
		int year;
	public:
		Datetime();
		Datetime(const std::string &);
		void set(const std::string &);
		operator bool() const;
		Glib::ustring to_str() const;
	};
}
#endif // IGS_DATETIME_HH
