/* ccgo: igs/line_box.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_LINE_BOX_HH
#define IGS_LINE_BOX_HH
#include <gtkmm/entry.h>
#include <string>
#include <vector>
namespace igs
{
	class LineBox :
		public Gtk::Entry
	{
		bool on_key_press_event(GdkEventKey *);
		void on_activate();
		std::vector<std::string> hist;
		std::vector<std::string>::reverse_iterator ri;
		std::string current_line;
	public:
		LineBox();
		void clear_history();
		const std::string & get_line();
	};
}
#endif // IGS_LINE_BOX_HH
