/* ccgo: igs/login_dialog.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_LOGIN_DIALOG_HH
#define IGS_LOGIN_DIALOG_HH
#include <gtkmm/dialog.h>
#include <gtkmm/entry.h>
namespace igs
{
	namespace parser
	{
		class Init;
	}
	class LoginDialog :
		public Gtk::Dialog
	{
		parser::Init * init;
		Gtk::Entry name;
		Gtk::Entry pass;
		void on_response(int);
	public:
		LoginDialog(parser::Init *);
		~LoginDialog();
	};
}
#include "parser/init.hh"
#endif // IGS_LOGIN_DIALOG_HH
