/* ccgo: igs/match.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_MATCH_HH
#define IGS_MATCH_HH
#include <go.hh>
#include <string>
namespace igs
{
	class Match
	{
		bool automatch;
	public:
		bool set_option;
		bool decline;

		std::string opponent;
		go::Turn my_turn;
		int board_size;
		int time;
		int byo_time;
		int byo_stone;

		Match();

		bool get_automatch() const;
		void set_automatch(bool);
	};
}
#endif // IGS_MATCH_HH
