/* ccgo: igs/match_win.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_MATCH_WIN_HH
#define IGS_MATCH_WIN_HH
#include <gtkmm/window.h>
#include <gtkmm/notebook.h>
#include "match_box.hh"
namespace igs
{
	class MatchWin :
		public Gtk::Window
	{
		Gtk::Notebook match_book;

		void on_hide();
	public:
		MatchWin();
		~MatchWin();
		void add_match(MatchBox *, const std::string &);
		void del_match(MatchBox *);
		void raise(MatchBox *);
	};
}
#endif // IGS_MATCH_WIN_HH
