/* ccgo: igs/parser/automatch.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_AUTOMATCH_HH
#define IGS_PARSER_AUTOMATCH_HH
#include "parser.hh"
#include "../match.hh"
namespace igs
{
	namespace parser
	{
		class Automatch :
			public Parser
		{
			virtual Parser * id(Control *) const;
			bool complete;
			igs::Match m;
		public:
			Automatch(Parser *);
			Automatch(Control *);
			virtual ~Automatch();
			virtual bool process();
			static Automatch parser_automatch;
		};
	}
}
#endif // IGS_PARSER_AUTOMATCH_HH
