/* ccgo: igs/parser/board.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_BOARD_HH
#define IGS_PARSER_BOARD_HH
#include "parser.hh"
#include "../board.hh"
namespace igs
{
	namespace parser
	{
		class Board :
			public Parser
		{
			virtual Parser * id(Control *) const;
			igs::Board board;
			int line_count;
			int stage;
			bool complete;
		public:
			Board(Parser *);
			Board(Control *);
			virtual ~Board();
			virtual bool process();
			static Board parser_board;
		};
	}
}
#endif // IGS_PARSER_BOARD_HH
