/* ccgo: igs/parser/game_info.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_GAME_INFO_HH
#define IGS_PARSER_GAME_INFO_HH
#include "parser.hh"
namespace igs
{
	namespace parser
	{
		class GameInfo :
			public Parser
		{
			Parser * id(Control *) const;
		public:
			GameInfo(Parser *);
			GameInfo(Control *);
			~GameInfo();
			bool process();
			static GameInfo parser_game_info;
		};
	}
}
#endif // IGS_PARSER_GAME_INFO_HH
