/* ccgo: igs/parser/kibitz.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_KIBITZ_HH
#define IGS_PARSER_KIBITZ_HH
#include "parser.hh"
#include "../player.hh"
namespace igs
{
	namespace parser
	{
		class Kibitz :
			public Parser
		{
			virtual Parser * id(Control *) const;
			int game;
			std::string who;
			Player::Rank rank;
			bool parse_head();
		public:
			Kibitz(Parser *);
			Kibitz(Control *);
			virtual ~Kibitz();
			virtual bool process();
			static Kibitz parser_kibitz;
		};
	}
}
#endif // IGS_PARSER_KIBITZ_HH
