/* ccgo: igs/parser/match_start.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_MATCH_START_HH
#define IGS_PARSER_MATCH_START_HH
#include "parser.hh"
namespace igs
{
	namespace parser
	{
		class MatchStart :
			public Parser
		{
			virtual Parser * id(Control *) const;
			bool complete;
			int game;
			std::string who;
			bool accepted;
			bool parse_head();
		public:
			MatchStart(Parser *);
			MatchStart(Control *);
			virtual ~MatchStart();
			virtual bool process();
			static MatchStart parser_match_start;
		};
	}
}
#endif // IGS_PARSER_MATCH_START_HH
