/* ccgo: igs/parser/parser.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_HH
#define IGS_PARSER_HH
#include <vector>
#include <string>
namespace igs
{
	class Control;

	class Parser
	{
		static Parser parser;
	protected:
		Control * control;
		static std::vector<Parser *> * parser_list;
		static Parser * list_holder;
		std::vector<Parser *> & get_parser_list();
		virtual Parser * id(Control *) const;
	public:
		static void init_parser_list();
		static Parser * search_id(Control *);
		Parser(Parser *);
		Parser(Control *);
		virtual ~Parser();
		virtual bool process();
	};



}
#include "../control.hh"
#endif // IGS_PARSER_HH
