/* ccgo: igs/parser/prob.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_PROB_HH
#define IGS_PARSER_PROB_HH
#include "parser.hh"
#include "../odds.hh"
namespace igs
{
	namespace parser
	{
		class Prob :
			public Parser
		{
			virtual Parser * id(Control *) const;

			Odds odds;

			bool complete;
		public:
			Prob(Parser *);
			Prob(Control *);
			virtual ~Prob();
			virtual bool process();
			static Prob parser_prob;
		};
	}
}
#endif // IGS_PARSER_PROB_HH
