/* ccgo: igs/parser/say.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_SAY_HH
#define IGS_PARSER_SAY_HH
#include "parser.hh"
namespace igs
{
	namespace parser
	{
		class Say :
			public Parser
		{
			virtual Parser * id(Control *) const;
			int game;
			bool complete;
			bool parse_head();
		public:
			Say(Parser *);
			Say(Control *);
			virtual ~Say();
			virtual bool process();
			static Say parser_say;
		};
	}
}
#endif // IGS_PARSER_SAY_HH
