/* ccgo: igs/parser/stats.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_STATS_HH
#define IGS_PARSER_STATS_HH
#include "parser.hh"
#include "../player.hh"
namespace igs
{
	namespace parser
	{
		class Stats :
			public Parser
		{
			Parser * id(Control *) const;

			bool complete;
			bool my_stats;

			Player p;

			bool def_verbose;
			bool def_bell;
			bool def_quiet;
			bool def_shout;
			bool def_automail;
			bool def_open;
			bool def_looking;
			bool def_client;
			bool def_kibitz;
			bool def_chatter;
		public:
			Stats(Parser *);
			Stats(Control *);
			~Stats();
			bool process();
			static Stats parser_stats;
		};
	}
}
#endif // IGS_PARSER_STATS_HH
