/* ccgo: igs/parser/stored.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_STORED_HH
#define IGS_PARSER_STORED_HH
#include "parser.hh"
#include "../storage.hh"
#include <vector>
#include <string>
namespace igs
{
	namespace parser
	{
		class Stored :
			public Parser
		{
			Parser * id(Control *) const;
			bool complete;
			std::vector<Storage> list;
		public:
			Stored(Parser *);
			Stored(Control *);
			~Stored();
			bool process();
			static Stored parser_stored;
		};
	}
}
#endif // IGS_PARSER_STORED_HH
