/* ccgo: igs/storage.cc
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include "storage.hh"

using namespace igs;

bool Storage::build(const std::string & s)
{
	std::string::size_type i;
	if ((i = s.find('-')) == std::string::npos) return false;
	white = s.substr(0, i);
	black = s.substr(i + 1);
	return true;
}
