/* ccgo: igs/tagged_message.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_TAGGED_MESSAGE_HH
#define IGS_TAGGED_MESSAGE_HH
#include <gtkmm/togglebutton.h>
#include <gtkmm/window.h>
#include <gtkmm/textview.h>
#include <string>
namespace igs
{
	class TaggedMessage :
		public Gtk::ToggleButton
	{
		Gtk::Window win;
		Gtk::TextView text;
		void on_clicked();
		void window_hide();
	public:
		TaggedMessage(const std::string &, const std::string &);
	};
}
#endif // IGS_TAGGED_MESSAGE_HH
