/* ccgo: modifi_proper.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef MODIFI_PROPER_HH
#define MODIFI_PROPER_HH
#include "proper.hh"
#include "modifi.hh"
namespace go {
	class ModifiProper :
		virtual public Proper
	{
		Modifi * modifi;
	public:
		// ModifiProper(const Game &, const Modifi &);
		ModifiProper();
		ModifiProper(const ModifiProper &);
		~ModifiProper();
		virtual Proper * dup() const;
		// void build(const Game &, const sgf::Node &);
		void set_modifi(Modifi *);
		const Modifi * get_modifi() const;
	};
}
#endif // MODIFI_PROPER_HH
