/* ccgo: part_win.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef PART_WIN_HH
#define PART_WIN_HH
#include "part.hh"
// #include "player.hh"
#include <gtkmm/window.h>
namespace go
{
	class PartWin :
		public Gtk::Window
	{
		Part part;
		void on_hide();
		Player * w_player;
		Player * b_player;
		void init();
		// for remembering size of window
		int my_width;
		int my_height;
		void on_size_allocate(Gtk::Allocation &);
	public:
		PartWin(unsigned size, double komi, unsigned handicap, Player * white = NULL, Player * black = NULL);
		PartWin(const Part &);
		~PartWin();
	};
}
#endif // PART_WIN_HH
