/* ccgo: put_move.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef PUT_MOVE_HH
#define PUT_MOVE_HH
#include "move.hh"
namespace go {
	class PutMove :
		public Move
	{
		// preset:
		Loc loc;
		// to check:
		std::vector<Loc> kill;
		bool ko;
	public:
		PutMove(Turn, const Loc &);
		PutMove(const PutMove &);
		Modifi * dup() const;
		bool check(const Game &);
		void apply(Game &) const;
		void undo(Game &) const;
		virtual std::string as_string() const;
	};
}
#endif // PUT_MOVE_HH
