/* ccgo: debug.cc
 *
 * Copyright 2008 Chun-Chung Chen <cjj@u.washington.edu>
 *
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include "debug.hh"

int debug_level = 0;

std::ostream & debug_stream(int l)
{
	static std::ostream null_stream(0);
	if (debug_level >= l) return std::cerr;
	return null_stream;
}

DummyOut dummy_out;
