/* ccgo: game_walk.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef GAME_WALK_HH
#define GAME_WALK_HH
#include "game.hh"
#include "walk.hh"
#include "move.hh"
namespace go {
	class GameWalk :
		virtual public Walk,
		virtual public Game
	{
		bool started;
	public:
		GameWalk(Node *);
		void start();
		virtual ~GameWalk();
		virtual bool up();
		virtual bool down(unsigned = 0);
		const std::string & get_comment() const;
		bool add_move(Move *);
		bool add_score(Terri *);
	};
}
#endif // GAME_WALK_HH
