/* ccgo: igs/parser/decline.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_DECLINE_HH
#define IGS_PARSER_DECLINE_HH
#include "parser.hh"
namespace igs
{
	namespace parser
	{
		class Decline :
			public Parser
		{
			virtual Parser * id(Control *) const;
			bool complete;
			std::string who;
			bool parse_head();
		public:
			Decline(Parser *);
			Decline(Control *);
			virtual ~Decline();
			virtual bool process();
			static Decline parser_decline;
		};
	}
}
#endif // IGS_PARSER_DECLINE_HH
