/* ccgo: igs/parser/file.cc
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#include "file.hh"
#include <sstream>

using namespace igs;
using namespace parser;

// extern File parser_file;
File File::parser_file(& File::parser_file);

Parser * File::id(Control * c) const
{
	if (c->get_line() != "8 File") return 0;
	File * k = new File(c);
	return k;
}

File::File(Parser * p) :
	Parser(p)
{
}

File::File(Control * c) :
	Parser(c)
{
	complete = false;
}

File::~File()
{
}

bool File::process()
{
	if (complete) return false;
	if (control->get_line() == "8 File") {
		control->file_text(text);
		complete = true;
		return true;
	}
	text += control->get_line() + "\n";
	return true;
}
