/* ccgo: igs/parser/file.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_FILE_HH
#define IGS_PARSER_FILE_HH
#include "parser.hh"
namespace igs
{
	namespace parser
	{
		class File :
			public Parser
		{
			virtual Parser * id(Control *) const;
			std::string text;
			bool complete;
		public:
			File(Parser *);
			File(Control *);
			virtual ~File();
			virtual bool process();
			static File parser_file;
		};
	}
}
#endif // IGS_PARSER_FILE_HH
