/* ccgo: igs/parser/match.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_MATCH_HH
#define IGS_PARSER_MATCH_HH
#include "parser.hh"
#include "../match.hh"
namespace igs
{
	namespace parser
	{
		class Match :
			public Parser
		{
			virtual Parser * id(Control *) const;
			bool complete;
			igs::Match m;
		public:
			Match(Parser *);
			Match(Control *);
			virtual ~Match();
			virtual bool process();
			static Match parser_match;
		};
	}
}
#endif // IGS_PARSER_MATCH_HH
