/* ccgo: igs/parser/move.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_MOVE_HH
#define IGS_PARSER_MOVE_HH
#include "parser.hh"
#include "../../move.hh"
#include <vector>
namespace igs
{
	namespace parser
	{
		class Move :
			public Parser
		{
			int game_num;
			std::string w_name;
			int w_cap;
			int w_time;
			int w_mvs;
			std::string b_name;
			int b_cap;
			int b_time;
			int b_mvs;
			bool parser_head();
			Parser * id(Control *) const;
			int move_count;
		public:
			Move(Parser *);
			Move(Control *);
			~Move();
			bool process();
			static Move parser_move;
		};
	}
}
#endif // IGS_PARSER_MOVE_HH
