/* ccgo: igs/parser/prompt.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_PROMPT_HH
#define IGS_PARSER_PROMPT_HH
#include "parser.hh"
namespace igs
{
	namespace parser
	{
		class Prompt :
			public Parser
		{
			virtual Parser * id(Control *) const;
		public:
			Prompt(Parser *);
			Prompt(Control *);
			virtual ~Prompt();
			virtual bool process();
			static Prompt parser_prompt;
		};
	}
}
#endif // IGS_PARSER_PROMPT_HH
