/* ccgo: igs/parser/results.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef IGS_PARSER_RESULTS_HH
#define IGS_PARSER_RESULTS_HH
#include "parser.hh"
#include "../result.hh"
#include <vector>
namespace igs
{
	namespace parser
	{
		class Results :
			public Parser
		{
			Parser * id(Control *) const;
			bool finish;
			std::vector<Result> list;
		public:
			Results(Parser *);
			Results(Control *);
			~Results();
			bool process();
			static Results parser_results;
		};
	}
}
#endif // IGS_PARSER_RESULTS_HH
