/* ccgo: proper_node.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef PROPER_NODE_HH
#define PROPER_NODE_HH
#include "node.hh"
#include "game.hh"
#include "proper.hh"
namespace go {
	class ProperNode :
		virtual public Node
	{
		Proper * proper;
	protected:
		virtual Node * create_copy() const;
	public:
		ProperNode();
		~ProperNode();
		virtual void set_proper(const Game &, Proper * = NULL);
		void set_proper(Proper *);
		const Proper * get_proper() const;
		Proper * get_proper();
	};
}
#endif // PROPER_NODE_HH
