/* ccgo: score_proper.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef SCORE_PROPER_HH
#define SCORE_PROPER_HH
#include "proper.hh"
namespace go
{
	class ScoreProper :
		virtual public Proper
	{
		unsigned board_size;
		Terri * terri;
		unsigned terri_score_w;
		unsigned terri_score_b;
	public:
		ScoreProper();
		ScoreProper(const ScoreProper &);
		~ScoreProper();
		virtual Proper * dup() const;
		void set_terri(const Game &, Terri *);
		const Terri * get_terri() const;
		unsigned get_terri_score_w() const;
		unsigned get_terri_score_b() const;
	};
}
#endif // SCORE_PROPER_HH
