/* ccgo: view_walk.hh
 * 
 * Copyright 2002,2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef VIEW_WALK_HH
#define VIEW_WALK_HH
#include "game_walk.hh"
#include "view_game.hh"
#include "play_game.hh"
namespace go {
	class ViewWalk :
		virtual public GameWalk,
		virtual public ProperGame
	{
	public:
		ViewWalk(Node *);
		virtual ~ViewWalk();
		virtual bool up();
		virtual bool down(unsigned = 0);
		void update_proper();
	};
}
#endif // VIEW_WALK_HH
